Summary: Python front end to NetworkManager
Name: pyNetworkManager
Version: 0.7
Release: 1
URL:	http://code.google.com/p/pynetworkmanager/
Source:	%{name}-%{version}.tar.bz2
Source2: %{name}.desktop
Source3: %{name}
Source4: nm-notrunning.txt
Patch0: %{name}-path.diff
License: GPL
Group:  System Environment/Base
BuildRoot: /var/tmp/%{name}-root
BuildArch: noarch
Requires: python chkconfig dbus NetworkManager configobj NetworkManager-gnome

%description
Python front end for network manager
%prep
%setup 
%patch0 -p1

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
mkdir -p $RPM_BUILD_ROOT/etc/pam.d

cp %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/applications/
cp -a . $RPM_BUILD_ROOT/%{_datadir}/pyNetworkManager
cp -a %{SOURCE3} $RPM_BUILD_ROOT/%{_bindir}/pyNetworkManager
cp -a %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/pyNetworkManager/

%clean
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-,root,root)
%{_datadir}/pyNetworkManager
%{_datadir}/applications/pyNetworkManager.desktop
%{_bindir}/pyNetworkManager
%changelog

